#include<iostream>

using namespace std;

int main()
{
    long n,k,o,b=0;
    long niz[2000000],niz1[2000000];
       for(long u=-n;u<=n;u++)
    {
    niz[u]=0;
    }
    for(long i=0;i<n;i++)
    {
        cin>>o;
        niz[o]++;
    }
       for(long j=-n;j<=n;j++)
    {
     if(niz[j]>=k)
     {
         
         niz1[b]=j;
         b++;
     }
    }
    cout<<b;
    for(long p=0;p<b;p++)
    {
        cout<<niz1[p];
    }
}